Bug 498531

Summary: "Authentication of native local users" test fails
Product: [Fedora] Fedora Reporter: Matěj Cepl <mcepl>
Component: sssdAssignee: Simo Sorce <ssorce>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: jhrozek, sbose, sgallagh, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-12 08:50:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matěj Cepl 2009-04-30 17:31:06 EDT
Description of problem:
By following http://fedorahosted.org/sssd/wiki/Fedora_11_Test_Day/PAM_Local_Native I got to the test 8, where it fails:

[marketa@viklef ~]$ ssh nativelocaluser@localhost
nativelocaluser@localhost's password: 
Permission denied, please try again.
nativelocaluser@localhost's password: 
Permission denied, please try again.
nativelocaluser@localhost's password: 
Permission denied (publickey,gssapi-with-mic,password).
[marketa@viklef ~]$ 

Version-Release number of selected component (if applicable):
sssd-0.3.3-3.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
bad

Expected results:
good

Additional info:
[root@viklef sssd]# -----------------------------------------------------------
-bash: -----------------------------------------------------------: příkaz nenalezen
[root@viklef sssd]# [sssd[pam]] [accept_priv_fd_handler] (4): Client connected to privileged pipe!
[sssd[pam]] [pam_cmd_chauthtok] (4): entering pam_cmd_chauthtok
[sssd[pam]] [pam_print_data] (4): command: 246
[sssd[pam]] [pam_print_data] (4): domain: (null)
[sssd[pam]] [pam_print_data] (4): user: nativelocaluser
[sssd[pam]] [pam_print_data] (4): service: passwd
[sssd[pam]] [pam_print_data] (4): tty: pts/1
[sssd[pam]] [pam_print_data] (4): ruser: 
[sssd[pam]] [pam_print_data] (4): rhost: 
[sssd[pam]] [pam_print_data] (4): authtok type: 1
[sssd[pam]] [pam_print_data] (4): authtok size: 6
[sssd[pam]] [pam_print_data] (4): newauthtok type: 1
[sssd[pam]] [pam_print_data] (4): newauthtok size: 0
[sssd[pam]] [pam_print_data] (4): priv: 1
[sssd[pam]] [LOCAL_pam_handler] (4): LOCAL pam handler.
[sssd[pam]] [local_handler_callback] (4): pam_handler_callback called with ldb_status [0].
[sssd[pam]] [local_handler_callback] (4): allowing root to reset a password.
[sssd[pam]] [do_pam_chauthtok] (4): Using salt [vNRqOp/Zi0Sz.UGG]
[sssd[pam]] [do_pam_chauthtok] (4): New hash [$6$vNRqOp/Zi0Sz.UGG$BKgXzCoGz5cuO9p8pAmSGbifMTU56CwzMC6upkbbOIynxl7nCz22cSuOXuzuqPW7HxONOfNaM3/DNKzfVJc9u/]
[sssd[pam]] [set_user_attr_req] (4): entering set_user_attr_req
[sssd[pam]] [set_user_attr_callback] (4): entering set_user_attr_callback, status [0][Success]
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply] (4): blen: 22
[sssd[pam]] [accept_priv_fd_handler] (4): Client connected to privileged pipe!
[sssd[pam]] [pam_cmd_authenticate] (4): entering pam_cmd_authenticate
[sssd[pam]] [pam_print_data] (4): command: 241
[sssd[pam]] [pam_print_data] (4): domain: (null)
[sssd[pam]] [pam_print_data] (4): user: nativelocaluser
[sssd[pam]] [pam_print_data] (4): service: sshd
[sssd[pam]] [pam_print_data] (4): tty: ssh
[sssd[pam]] [pam_print_data] (4): ruser: 
[sssd[pam]] [pam_print_data] (4): rhost: viklef.ceplovi.cz
[sssd[pam]] [pam_print_data] (4): authtok type: 1
[sssd[pam]] [pam_print_data] (4): authtok size: 6
[sssd[pam]] [pam_print_data] (4): newauthtok type: 1
[sssd[pam]] [pam_print_data] (4): newauthtok size: 0
[sssd[pam]] [pam_print_data] (4): priv: 1
[sssd[pam]] [LOCAL_pam_handler] (4): LOCAL pam handler.
[sssd[pam]] [local_handler_callback] (4): pam_handler_callback called with ldb_status [0].
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], password hash: [$6$vNRqOp/Zi0Sz.UGG$BKgXzCoGz5cuO9p8pAmSGbifMTU56CwzMC6upkbbOIynxl7nCz22cSuOXuzuqPW7HxONOfNaM3/DNKzfVJc9u/]
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], new hash: [$6$vNRqOp/Zi0Sz.UGG$Z4KXqwuHdqeKAoyVUOcEgMGLcwzAuAyY/cxnDUzhV1tSyjVEQX6pV9Obnt69nwlcPMPOEKtNtQZlP4agNYai30]
[sssd[pam]] [local_handler_callback] (1): Passwords do not match.
[sssd[pam]] [set_user_attr_req] (4): entering set_user_attr_req
[sssd[pam]] [set_user_attr_callback] (4): entering set_user_attr_callback, status [0][Success]
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply_delay] (4): pam_reply_delay get called.
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply] (4): blen: 22
[sssd[pam]] [pam_cmd_authenticate] (4): entering pam_cmd_authenticate
[sssd[pam]] [pam_print_data] (4): command: 241
[sssd[pam]] [pam_print_data] (4): domain: (null)
[sssd[pam]] [pam_print_data] (4): user: nativelocaluser
[sssd[pam]] [pam_print_data] (4): service: sshd
[sssd[pam]] [pam_print_data] (4): tty: ssh
[sssd[pam]] [pam_print_data] (4): ruser: 
[sssd[pam]] [pam_print_data] (4): rhost: viklef.ceplovi.cz
[sssd[pam]] [pam_print_data] (4): authtok type: 1
[sssd[pam]] [pam_print_data] (4): authtok size: 6
[sssd[pam]] [pam_print_data] (4): newauthtok type: 1
[sssd[pam]] [pam_print_data] (4): newauthtok size: 0
[sssd[pam]] [pam_print_data] (4): priv: 1
[sssd[pam]] [LOCAL_pam_handler] (4): LOCAL pam handler.
[sssd[pam]] [local_handler_callback] (4): pam_handler_callback called with ldb_status [0].
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], password hash: [$6$vNRqOp/Zi0Sz.UGG$BKgXzCoGz5cuO9p8pAmSGbifMTU56CwzMC6upkbbOIynxl7nCz22cSuOXuzuqPW7HxONOfNaM3/DNKzfVJc9u/]
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], new hash: [$6$vNRqOp/Zi0Sz.UGG$Z4KXqwuHdqeKAoyVUOcEgMGLcwzAuAyY/cxnDUzhV1tSyjVEQX6pV9Obnt69nwlcPMPOEKtNtQZlP4agNYai30]
[sssd[pam]] [local_handler_callback] (1): Passwords do not match.
[sssd[pam]] [set_user_attr_req] (4): entering set_user_attr_req
[sssd[pam]] [set_user_attr_callback] (4): entering set_user_attr_callback, status [0][Success]
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply_delay] (4): pam_reply_delay get called.
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply] (4): blen: 22
[sssd[pam]] [pam_cmd_authenticate] (4): entering pam_cmd_authenticate
[sssd[pam]] [pam_print_data] (4): command: 241
[sssd[pam]] [pam_print_data] (4): domain: (null)
[sssd[pam]] [pam_print_data] (4): user: nativelocaluser
[sssd[pam]] [pam_print_data] (4): service: sshd
[sssd[pam]] [pam_print_data] (4): tty: ssh
[sssd[pam]] [pam_print_data] (4): ruser: 
[sssd[pam]] [pam_print_data] (4): rhost: viklef.ceplovi.cz
[sssd[pam]] [pam_print_data] (4): authtok type: 1
[sssd[pam]] [pam_print_data] (4): authtok size: 6
[sssd[pam]] [pam_print_data] (4): newauthtok type: 1
[sssd[pam]] [pam_print_data] (4): newauthtok size: 0
[sssd[pam]] [pam_print_data] (4): priv: 1
[sssd[pam]] [LOCAL_pam_handler] (4): LOCAL pam handler.
[sssd[pam]] [local_handler_callback] (4): pam_handler_callback called with ldb_status [0].
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], password hash: [$6$vNRqOp/Zi0Sz.UGG$BKgXzCoGz5cuO9p8pAmSGbifMTU56CwzMC6upkbbOIynxl7nCz22cSuOXuzuqPW7HxONOfNaM3/DNKzfVJc9u/]
[sssd[pam]] [local_handler_callback] (4): user: [nativelocaluser], new hash: [$6$vNRqOp/Zi0Sz.UGG$Z4KXqwuHdqeKAoyVUOcEgMGLcwzAuAyY/cxnDUzhV1tSyjVEQX6pV9Obnt69nwlcPMPOEKtNtQZlP4agNYai30]
[sssd[pam]] [local_handler_callback] (1): Passwords do not match.
[sssd[pam]] [set_user_attr_req] (4): entering set_user_attr_req
[sssd[pam]] [set_user_attr_callback] (4): entering set_user_attr_callback, status [0][Success]
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply_delay] (4): pam_reply_delay get called.
[sssd[pam]] [pam_reply] (4): pam_reply get called.
[sssd[pam]] [pam_reply] (4): blen: 22
Comment 1 Bug Zapper 2009-06-09 10:54:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stephen Gallagher 2010-01-12 08:50:22 EST
Fixed in sssd-1.0.1-1.fc11